/* IRQ functions
 *
 * Daniel Hellstrm (hedani3l.no.bots.here.yahoo.com)
 * Copyright (C) 2007
 */
 
#ifndef __SPARC_IRQ_H__
#define __SPARC_IRQ_H__

#include <asm/psr.h>

extern inline void set_pil(unsigned int level){
	unsigned int psr = get_psr();
	
	put_psr( (psr & ~PSR_PIL) | ((level&0xf)<<PSR_PIL_OFS) );
}

extern inline unsigned int get_pil(void){
	unsigned int psr = get_psr();
	return (psr&PSR_PIL)>>PSR_PIL_OFS;
}

int intLock(void);

void intUnlock(int oldLevel);

#endif
